Add a tab view (legacy)
curl --request POST \
--url https://core-api.getaptly.com/api/board/{boardId}/tabView \
--header 'Content-Type: application/json' \
--header 'x-token: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>",
"icon": "<string>",
"embedSource": "<string>",
"filter": "<string>",
"userIds": [
"<string>"
],
"createdBy": "<string>"
}
'import requests
url = "https://core-api.getaptly.com/api/board/{boardId}/tabView"
payload = {
"name": "<string>",
"url": "<string>",
"icon": "<string>",
"embedSource": "<string>",
"filter": "<string>",
"userIds": ["<string>"],
"createdBy": "<string>"
}
headers = {
"x-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
icon: '<string>',
embedSource: '<string>',
filter: '<string>',
userIds: ['<string>'],
createdBy: '<string>'
})
};
fetch('https://core-api.getaptly.com/api/board/{boardId}/tabView', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "<string>",
"name": "<string>",
"url": "<string>",
"icon": "<string>",
"embedSource": "<string>",
"type": "<string>"
}
}Board
Add a tab view (legacy)
Deprecated alias for POST /api/board/{boardId}/configuration/tabViews. Adds an
embedded tab view to the board’s tab list. Use the /configuration/tabViews path
for new integrations.
POST
/
api
/
board
/
{boardId}
/
tabView
Add a tab view (legacy)
Authorizations
ApiKeyHeaderDelegateToken
Path Parameters
Body
application/json
Display name for the tab.
URL to embed in the tab.
Font Awesome icon class (default fa-regular fa-globe).
Embed source identifier (default aptly-ai).
Filter preset (default quickview_all-records).
User IDs that can see this tab. Empty = visible to all.
Aptly user ID of the creator.
Response
Tab view created.
Show child attributes
Show child attributes
⌘I